singleton Material(pessi_grill)
{
    mapTo = "pessi_grill"; 
    diffuseMap[0] = "vehicles/midsize/custombody/white.dds";
    specularMap[0] = "vehicles/midsize/custombody/white.dds";
    normalMap[0] = "vehicles/midsize/custombody/white_n.dds";
    diffuseColor[0] = "0.8 0.8 0.8 1";
    specularPower[0] = "10";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};


singleton Material(pessi_scoop)
{
    mapTo = "pessi_scoop";
    diffuseMap[2] = "vehicles/midsize/custombody/supertrack_c.dds";
    specularMap[2] = "vehicles/midsize/custombody/supertrack_s.dds";
    normalMap[2] = "vehicles/midsize/custombody/white_n.dds";
    diffuseMap[1] = "vehicles/midsize/custombody/supertrack_d.dds";
    specularMap[1] = "vehicles/midsize/custombody/supertrack_s.dds";
    normalMap[1] = "vehicles/midsize/custombody/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/custombody/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(colorable2_pess)
{
    mapTo = "colorable2_pess";
    colorPaletteMap[2] = "vehicles/midsize/custombody/spring_uv1.dds";
    diffuseMap[2] = "vehicles/midsize/custombody/supertrack_c.dds";
    specularMap[2] = "vehicles/midsize/custombody/supertrack_s.dds";
    normalMap[2] = "vehicles/midsize/custombody/white_n.dds";
    diffuseMap[1] = "vehicles/midsize/custombody/supertrack_d.dds";
    specularMap[1] = "vehicles/midsize/custombody/supertrack_s.dds";
    normalMap[1] = "vehicles/midsize/custombody/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/custombody/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(shine_brake)
{
    mapTo = "shine_brake";     
    diffuseMap[0] = "vehicles/midsize/custombody/white.dds";
    specularMap[0] = "vehicles/midsize/custombody/white.dds";
    normalMap[0] = "vehicles/midsize/custombody/white_n.dds";
	    diffuseColor[0] = "0 0 0 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(red_brake)
{
    mapTo = "red_brake"; 
    diffuseMap[0] = "vehicles/midsize/custombody/white.dds";
    specularMap[0] = "vehicles/midsize/custombody/white.dds";
    normalMap[0] = "vehicles/midsize/custombody/white_n.dds";
    diffuseColor[0] = "7 1 1 1";
    specularPower[0] = "100";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};







singleton Material(midsize)
{
    mapTo = "midsize";
    diffuseMap[2] = "vehicles/midsize/midsize_c.dds";
    specularMap[2] = "vehicles/midsize/midsize_s.dds";
    normalMap[2] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};